LINUX.ORG.RU

Вышел flash player 10.1

 ,


0

0

Сегодня вышла новая версия проигрывателя flash за номером 10.1 для платформ Windows, Mac, и Linux. Что отмечают в блоге:

  • увеличение скорости работы и понижение использования ресурсов
  • улучшения в ActionScript виртуальной машине, в т.ч. в сборщике мусора
  • детектор нехватки памяти, который отключит показ содержимого, когда не хватает памяти
  • понижение приоритета для неактивного ролика (например на неактивной вкладке браузера); воспроизведение аудио при этом не пострадает
  • аппаратно ускоренное декодирование h.264 (видимо пока только для Windows)
  • кеширование и восстановление соединения после сбоев для RTMP потоков
  • поддержка multi-touch
  • подержка private режима просмотра по аналогии с «частным просмотром» для браузера, когда всё временное содержимое хранится в памяти и не синхронизируется на диск
  • многочисленные улучшения для Mac платформы
  • релиз закрывает недавнюю критическую уязвимость в 10.0.x
  • и др.

Скачать

>>> Подробности

★★★★★

Проверено: maxcom ()

В федоре вчера апдейтом пришел, я еще удивился, вроде бы о релизе не было слышно, а тут оказывается уже.

vga ★★ ()
Ответ на: комментарий от Lucky1

>Люди дайте пожалуйста ссылку на предыдущий-старый плеер - хочу обновится

Посмотри тут старые плееры: http://kb2.adobe.com/cps/142/tn_14266.html

Спасибо за ответ, там был в первую очередь нет там deb пакета там только tar.gz :( . Придется самому собирать из частей в системе

Подскажите прогу для сборки deb пакета из частей установленных в системе - где-то когда то видел что-то такое, но уже забыл :( . Могу и сам собрать но эт уже не то :)!

anonymous ()
Ответ на: комментарий от anonymous

просто скопируй .so файлик в ~/.mozilla/plugins. - для фаерфокса.

awesome ()
Ответ на: комментарий от anonymous

неясно чего там собирать, сунул либу в /usr/lib/adobe-чтототам и всё

anonymous ()
Ответ на: комментарий от alex_custov

релиз на 1.5% медленней предидущей беты

anonymous ()
Ответ на: комментарий от Rudcozt

Скажи это в 2038 году.

интересно, а придумают что-нить для i386-сборок к 2038 году?

ferhiord ★★ ()
Ответ на: комментарий от ferhiord

> интересно, а придумают что-нить для i386-сборок к 2038 году?

Из i386-сборок будет огромная свалка, и все будут думать как ее утилизировать!

valich ★★★ ()

Обновился - работает хорошо. Годный релиз.

MuZHiK-2 ★★★★ ()
Ответ на: комментарий от mix_mix

Такого говна, как флеш даром не надо.

Deleted ()

>релиз закрывает недавнюю критическую уязвимость в 10.0.x
Недавнюю? Ей год уж как исполнился.

spacel0rd ()
Ответ на: комментарий от Zhid

Ничего, ещё чуть чуть и Джобса закопают. Будем ликовать.

Deleted ()

Не буду оригинальным, скажу лишь, что флеш для быдла и не нужен.

Deleted ()

Оно ещё шевелится? Закопайте обратно.

shahid ★★★★★ ()
Ответ на: комментарий от spacel0rd

>>Ей год уж как исполнился

Release date: June 4, 2010
Last updated: June 10, 2010
Vulnerability identifier: APSA10-01
CVE number: CVE-2010-1297
Platform: All

alex_custov ★★★★★ ()

Вышел flash player 10.1

ЗАКАПЫВАЙТЕ.

anonymous ()

Они глюк с не работающими во флэш роликах кликами мышью под GTK+-2.18 уже пофиксили (для которого надо делать воркэраунд в виде GDK_NATIVE_WINDOWS=1)?

cyberax ()

> Не буду оригинальным, скажу лишь, что флеш для быдла и не нужен.

Оно ещё шевелится? Закопайте обратно.

ЗАКАПЫВАЙТЕ.

Неосиляторы флеша? Или просто землекопы?

XoxoTyH ()

^_^

Граффити в контактике пофиксили.

/ага.

SplindeR ()
Ответ на: комментарий от helios

патронов не хватит , остается только ждать когда естественным способом состарятся

grigoreo ()
Ответ на: комментарий от Deleted

а ты как богатство определяешь? и я пока сижу в режиме i686, но дело то не в то что железо не позволяет (просто софт под 64бита не весь адекватно работает)

grigoreo ()
Ответ на: комментарий от grigoreo

>а ты как богатство определяешь? и я пока сижу в режиме i686, но дело то не в то что железо не позволяет (просто софт под 64бита не весь адекватно работает)

колыбельня?

alltiptop ★★★★★ ()
Ответ на: комментарий от gopnick

ну если это слово тебя в ступор вводит то расшифровываю, значит нестабильно с какимито ошибками , что в 32битных версиях не проявляется

grigoreo ()
Ответ на: комментарий от GblGbl

> Есть же html5 с его фишками, и та же javafx (что-то не слышно ничего о ней. Может, она уже того?)

javafx — это тотже flash... только от другой фирмы (и в другом формате) :-)

как и silverlight :-)

flash — гавно не потомучто adobe такие идиоты, а потомучто WWW должно работать на основе общепринятых стандартов, а НЕ на основе проприетарных виджетами!

mkfifo ()
Ответ на: комментарий от GblGbl

> Флешем пользуются по привычке. ...

и когда заказчик сайта говорит:
«хочу стобы на моём сайте было всё 3D, и чтобы играла музыка.. и чтобы страниццы менялись с эффектами»
:D :D :D

в результате такого заказа получается редкастный атвратительный flash-сайт (на который никто не заходит, или не сидит больше 5 секунд)..

... но заказчику нравиться :-) .....такчто думаю это наиболее частоее применение флэша

mkfifo ()
Ответ на: комментарий от grigoreo

Только вчера понял, что при обновлении на 10.04 под флешблоком у меня стало пусто... А работал несколько месяцев и не знал!

П.С. Флеш нужен - главное эту помойку в свою систему не ставить! :)

anonymous ()
Ответ на: комментарий от awesome

> просто скопируй .so файлик в ~/.mozilla/plugins. - для фаерфокса.

причём делать это (копировать в ~/.mozilla/plugins ) нада в специально отведённого пользователя, :-)

...затем запускать браузер от этого пользователя как:

$ xhost SI:localuser:<this-flash-user>
$ su -l -c "DISPLAY=$DISPLAY bash" <this-flash-user>
$ firefox & # или что там у вас?

воооооооооооооооот :-) :-)

неудобно? хахаха :-D .. ну тык никто и не обещал комфорт :-D :-D

# p.s.: для комфорта нада пользоваться открытыми стандартами, а не красноглазеть на запуск flash и прочих траянов..

mkfifo ()
Ответ на: комментарий от anonymous

Дурачок, клозед значит тестирование закрытое, а не поддержка прекращена... Написано, что выпустят в релизе...

Fat_Green_Liar ()
Ответ на: комментарий от anotheranonymous

>> ...затем запускать браузер от этого пользователя как:

O_o что за бред.


а что — ты собрался запускать flash-троян (тоесть firefox с flash-трояном) — от своего основного пользователя?

может ещё и skype от своего основного пользователя запустушь? :-D :-D

mkfifo ()
Ответ на: комментарий от mkfifo

>может ещё и skype от своего основного пользователя запустушь? :-D :-D
Паранойя - один из признаков шизофрении, беги быстрее к психиатору.

anotheranonymous ()

flash player 10.1 не нужен! Silverlight 4 же!

Ramil ★★★ ()
Ответ на: комментарий от anotheranonymous

>> может ещё и skype от своего основного пользователя запустушь? :-D :-D

Паранойя - один из признаков шизофрении, беги быстрее к психиатору.


"'ведь все эти проприетарные программы (особенно flash) — они-же очень супер-безопасные и надёжные!
и исходный код закрыт, чтобы никто его не своровал!
..и для обеспечения дополнительной безопасности!"'

???

новости про то что является самой большой дырой на компьютере — не читаешь?

mkfifo ()
Ответ на: комментарий от helios

>> когда же ты дарагой [флеш] издохнешь?

Достаточно убить всех быдло дезигнеров, которые лабают на нём.

мы стремимся к свободе, в том числе и к свободе убивать тех, у кого другое мнение)

keinas ()
Ответ на: комментарий от mkfifo

> новости про то что является самой большой дырой на компьютере — не читаешь?

я конешно имею ввиду не ту «дыру в безопасности» которая сидит в 60 см от монитора :-D (и не желает запускать «трояны» от дополнительного-непривелегерованного пользотеля)..

:-) :-)

mkfifo ()
Ответ на: комментарий от Hokum

>в отличии от всяких неосиляторов разумные проприетарщики стараются анально захватить максимально возможную аудиторию, не важно насколько она мала.

хороший вопрос, работать для той аудитории, которой хоть как то нужен флеш, и которая больше, иди тратить силы на тех, кому флеш особо не нужен, которые хотят чтоб его не было, которые знают про html5, gnash (или как там его), и даже уже проигрыватель на JS есть) это интересно каким надо разумом обладать, чтоб выбрать второй вариант..)

keinas ()
Ответ на: комментарий от grigoreo

Я знаю значение слова, я интересуюсь самими ошибками.

gopnick ()
Ответ на: комментарий от keinas

впринцепе зачастую люди сами не знают что им нада а что нет..

..я имею ввиду что adobe сделала flash для linux — и теперь линуксойды беседуют друг с другом на темы связанные с тем «нужен flash или не нужен»

..в противном случае (еслибы flash не сделали для linux) — то 99.9% линуксойдов былобы чотко уверенны в том что в WWW нужны *тоолько* открытые стандарты — и начали бы доставать этими идеями вендузятноков (понемношку отбирая у adobe рынок вендузятников)

....а так — adobe можно сказать внедрила внутри линуксойдов своих «агентов» (работающщих не на зарплату, а за красивые flash-сверкания) — и у война не идёт на фронте виндезятников :-)

mkfifo ()

>детектор нехватки памяти, который отключит показ содержимого, когда не хватает памяти

«PSP — это как орех, с которым можно играть на улице ~_~»

teddybear ()

Ненужен — уже есть кошерный на JavaScript! :)

avol ()

Зачем такое вообще тут постить?

Закопайте уже его где-нибудь

mega_venik ★★★ ()
Ответ на: комментарий от gopnick

очень разнообразный , поначалу на радостях поставил себе тоже 64 битную дистрибьюцию благо процессоров уже 32битных не выпускают (на одной машинке тачскрин был с дровами под 32бита, исходников увы не былона других прикладной софт специфично глючил под 64 бита), в итоге получилось что половина на 64битах может работать комфортно другим в тои или иной степени не повезло , поэтому решил не бежать и остановился на 32битах , сервакам все это пофиг они под управлением полноценной 64битки

grigoreo ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.